	function xsec(s,tlo,thi,xsecpt,numb)
c	pts,tlo,thi are the real t, not -t
c	numb = 1    * nfs pizeros
c	     = 2    * full inclusive pizeros from piminus beam
c	     = 3    * nfs etas
c	     = 4    * full inclusive etas from piminus beam
c	    = 5    * full inculsive etas from piplus beam
c
	include '/u1/gcf/e350/crystal/cb/wgtscr'
c
	dimension aqp(3,5)
c
	external xsecpt
c
c	data aqp/1.2797,0.1558,0.3387,1.8878,1.0516,2.2864,1.1186,-1.611,
	data aqp/1.,-4.74,0.,1.8878,1.0516,2.2864,1.1186,-1.611,
& -0.6505,1.1779,-2.417,-0.976,0.5337,-7.251,-2.928/
c
c
	call wgtint(thi,tlo,8,pts,wts)
	xsec=0.
	if (numb.gt.0) goto 2
	do 1 i=1,8
1	xsec=xsec+wts(i)*xsecpt(s,pts(i))
	return
2	do 3 i=1,8
3	xsec=xsec+wts(i)*xsecpt(s,pts(i))*(aqp(1,numb)+aqp(2,numb)*pts(i)
&	+aqp(3,numb)*pts(i)**2)
	return
	end
